Bug 269262 - [Regression] The editor screen is not scrolled with a keyboard after Japanese strings are input using IME
[Regression] The editor screen is not scrolled with a keyboard after Japanese...
Status: NEW
Product: editor
Classification: Unclassified
Component: Painting & Printing
8.2
All All
: P2 with 5 votes (vote)
: TBD
Assigned To: Miloslav Metelka
issues@editor
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-12-07 13:19 UTC by junichi11
Modified: 2017-08-31 12:15 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
movie file (145.20 KB, application/zip)
2016-12-07 13:19 UTC, junichi11
Details
movie file 2 (143.01 KB, application/zip)
2016-12-16 12:27 UTC, junichi11
Details
proposed patch (1.65 KB, patch)
2016-12-19 17:17 UTC, junichi11
Details | Diff
proposed patch (1.74 KB, patch)
2016-12-19 19:05 UTC, junichi11
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description junichi11 2016-12-07 13:19:28 UTC
Created attachment 163182 [details]
movie file

I attach the movie for this issue.

This may be related to the issue 178553 [1].
I cannot reproduce it in NetBeans 8.1 & dev build.
So it may be already fixed in another issue(I'm not sure).

Is it possible that this issue can be a part of NetBeans8.2 as a patch?

[1] https://netbeans.org/bugzilla/show_bug.cgi?id=178553

my environments:
[8.2]
Product Version: NetBeans IDE 8.2 (Build 201609300101)
Java: 1.8.0_111; Java HotSpot(TM) 64-Bit Server VM 25.111-b14
Runtime: Java(TM) SE Runtime Environment 1.8.0_111-b14
System: Linux version 4.4.0-51-generic running on amd64; UTF-8; ja_JP (nb)


[Dev]
Product Version: NetBeans IDE Dev (Build 201612010001)
Java: 1.8.0_111; Java HotSpot(TM) 64-Bit Server VM 25.111-b14
Runtime: Java(TM) SE Runtime Environment 1.8.0_111-b14
System: Linux version 4.4.0-51-generic running on amd64; UTF-8; ja_JP (nb)

Thanks.
Comment 1 Milutin Kristofic 2016-12-08 12:26:30 UTC
Mila can you look at this, when you are looking at scrolling issues? thank you
Comment 2 junichi11 2016-12-16 12:27:06 UTC
Created attachment 163262 [details]
movie file 2

> I cannot reproduce it in NetBeans 8.1 & dev build.
> So it may be already fixed in another issue(I'm not sure).

This is wrong. When the IME is used, the editor screen is not scrolled using a keyboard at all in the dev build.(Please look at the attach file.)

I applied the patch for NB82 today, the same thing occurs.

Thanks.
Comment 3 junichi11 2016-12-19 17:17:33 UTC
Created attachment 163280 [details]
proposed patch

I may be wrong but I hope that this patch works fine in case of the single caret.

I found another problem. When multi caret or rectangular selection feature is used using IME, it doesn't work fine.

Thanks.
Comment 4 junichi11 2016-12-19 19:05:27 UTC
Created attachment 163281 [details]
proposed patch

Use synchronized
Comment 5 Letterfor 2016-12-26 02:06:24 UTC
I am in trouble with the same problem.

The IDE is normal when it starts up.
However, if I enter characters through the IME at least once, the IDE screen will not scroll.
To solve this problem, I have to restart the IDE for now.

Product Version = NetBeans IDE 8.2 (Build 201609300101)
Operating System = Windows 10 version 10.0 running on amd64
Java; VM; Vendor = 1.8.0_101
Runtime = Java HotSpot(TM) 64-Bit Server VM 25.101-b13
Comment 6 momotaro 2017-01-02 06:18:59 UTC
I have a same problem.
Windows 10 64bit, JDK 1.8u112 64bit, and NetBeans dev 201612200001.

After launch the NetBeans IDE, the editor pane is scrolled up and down, left and right by cursor keys.

Once I enter a character via IME, then the editor pane cannot be scrolled by cursor keys, but can be scrolled via mouse-wheel and dragging a scroll-bar.
Comment 7 junichi11 2017-04-05 13:55:22 UTC
Could you please look at the patch?

Probably, the focus moves from the editor to IME when something is typed using IME.(This behavior may be different on each IME.) So, the document may be null at that time.

Thanks.
Comment 8 Jiri Kovalsky 2017-08-31 08:42:31 UTC
Milo, can you please review Junichi's patch and integrate it if you find it allright? Thanks a lot.
Comment 9 junichi11 2017-08-31 12:15:41 UTC
The behavior was changed a bit after NetBeans 8.2 Patch 1 was released. It became worse. The editor screen is not scrolled with a keyboard after Japanese strings are input using IME. (So I change the summary.)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo